mobile_image_mounter_client_t
mobile_image_mounter_error_t
mobile_image_mounter_free
mobile_image_mounter_hangup
mobile_image_mounter_lookup_image
mobile_image_mounter_mount_image
mobile_image_mounter_mount_image_with_options
mobile_image_mounter_new
mobile_image_mounter_query_developer_mode_status
mobile_image_mounter_query_nonce
mobile_image_mounter_query_personalization_identifiers
mobile_image_mounter_query_personalization_manifest
mobile_image_mounter_roll_cryptex_nonce
mobile_image_mounter_roll_personalization_nonce
MOBILE_IMAGE_MOUNTER_SERVICE_NAME
mobile_image_mounter_start_service
mobile_image_mounter_unmount_image
mobile_image_mounter_upload_cb_t
mobile_image_mounter_upload_image

## mobile_image_mounter_upload_image()

LIBIMOBILEDEVICE_API mobile_image_mounter_error_t mobile_image_mounter_upload_image | ( | mobile_image_mounter_client_t | client,
|  | const char * | image_type,
|  | size_t | image_size,
|  | const unsigned char * | signature,
|  | unsigned int | signature_size,
|  | mobile_image_mounter_upload_cb_t | upload_cb,
|  | void * | userdata )

Uploads an image with an optional signature to the device.

Parameters

  client | The connected mobile_image_mounter client.
  image_type | Type of image that is being uploaded.
  image_size | Total size of the image.
  signature | Buffer with a signature of the image being uploaded. If NULL, no signature will be used.
  signature_size | Total size of the image signature buffer. If 0, no signature will be used.
  upload_cb | Callback function that gets the data chunks for uploading the image.
  userdata | User defined data for the upload callback function.

Returns
  MOBILE_IMAGE_MOUNTER_E_SUCCESS on succes, or a MOBILE_IMAGE_MOUNTER_E_* error code otherwise.